## ros-one-nav-core 1.17.3-4jammy.20251023.1151

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(nav_core)

find_package(catkin REQUIRED
        COMPONENTS
            std_msgs
            geometry_msgs
            tf2_ros
            costmap_2d
        )

catkin_package(
    INCLUDE_DIRS
        include
    CATKIN_DEPENDS
            std_msgs
            geometry_msgs
            tf2_ros
            costmap_2d
)


## Install project namespaced headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-one-nav-core (1.17.3-4jammy.20251023.1151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 11:51:05 +0000

ros-one-nav-core (1.17.3-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-nav-core (1.17.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-nav-core (1.17.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-nav-core (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-nav-core (1.16.6-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-nav-core (1.16.5-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-nav-core (1.16.4-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-nav-core (1.16.3-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-nav-core (1.16.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-nav-core (1.16.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-nav-core (1.16.0-0jammy) jammy; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * unify parameter names between base_local_planner and dwa_local_planner
    addresses parts of #90 <https://github.com/ros-planning/navigation/issues/90>
  * fix param names of RotateRecovery, closes #706 <https://github.com/ros-planning/navigation/issues/706>
  * Contributors: David V. Lu, Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-nav-core (1.15.2-0jammy) jammy; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 00:00:00 -0000

ros-one-nav-core (1.15.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 00:00:00 -0000

ros-one-nav-core (1.15.0-0jammy) jammy; urgency=high

  * convert packages to format2
  * makePlan overload must return.
  * Contributors: Eric Tappan, Mikael Arguedas

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 00:00:00 -0000

ros-one-nav-core (1.14.0-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-one-nav-core (1.13.1-0jammy) jammy; urgency=high

  * Merge pull request #338 <https://github.com/ros-planning/navigation/issues/338> from mikeferguson/planner_review
  * fix doxygen, couple style fixes
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 00:00:00 -0000

ros-one-nav-core (1.13.0-0jammy) jammy; urgency=high

  * adding makePlan function with returned cost to base_global_planner
  * Contributors: phil0stine

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-nav-core (1.12.0-0jammy) jammy; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-nav-core (1.11.15-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 00:00:00 -0000

ros-one-nav-core (1.11.14-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 00:00:00 -0000

ros-one-nav-core (1.11.13-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 00:00:00 -0000

ros-one-nav-core (1.11.12-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-nav-core (1.11.11-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 00:00:00 -0000

ros-one-nav-core (1.11.10-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 00:00:00 -0000

ros-one-nav-core (1.11.9-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 00:00:00 -0000

ros-one-nav-core (1.11.8-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 00:00:00 -0000

ros-one-nav-core (1.11.7-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 00:00:00 -0000

ros-one-nav-core (1.11.4-0jammy) jammy; urgency=high

  * Package URL Updates

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-nav-core//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-nav-core 1.17.3-4jammy.20251208.0015

=== debian/changelog ===
ros-one-nav-core (1.17.3-4jammy.20251208.0015) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 00:15:52 +0000

## ros-one-nav-core 1.17.3-4jammy.20260221.2309

=== debian/changelog ===
ros-one-nav-core (1.17.3-4jammy.20260221.2309) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 21 Feb 2026 23:09:15 +0000

## ros-one-nav-core 1.17.3-4noble.20251023.1221

=== debian/changelog ===
ros-one-nav-core (1.17.3-4noble.20251023.1221) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 12:21:04 +0000

ros-one-nav-core (1.17.3-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-nav-core (1.17.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-nav-core (1.17.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-nav-core (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-nav-core (1.16.6-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-nav-core (1.16.5-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-nav-core (1.16.4-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-nav-core (1.16.3-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-nav-core (1.16.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-nav-core (1.16.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-nav-core (1.16.0-0noble) noble; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * unify parameter names between base_local_planner and dwa_local_planner
    addresses parts of #90 <https://github.com/ros-planning/navigation/issues/90>
  * fix param names of RotateRecovery, closes #706 <https://github.com/ros-planning/navigation/issues/706>
  * Contributors: David V. Lu, Michael Ferguson, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-nav-core (1.15.2-0noble) noble; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 00:00:00 -0000

ros-one-nav-core (1.15.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 00:00:00 -0000

ros-one-nav-core (1.15.0-0noble) noble; urgency=high

  * convert packages to format2
  * makePlan overload must return.
  * Contributors: Eric Tappan, Mikael Arguedas

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 00:00:00 -0000

ros-one-nav-core (1.14.0-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-one-nav-core (1.13.1-0noble) noble; urgency=high

  * Merge pull request #338 <https://github.com/ros-planning/navigation/issues/338> from mikeferguson/planner_review
  * fix doxygen, couple style fixes
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 00:00:00 -0000

ros-one-nav-core (1.13.0-0noble) noble; urgency=high

  * adding makePlan function with returned cost to base_global_planner
  * Contributors: phil0stine

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-nav-core (1.12.0-0noble) noble; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-nav-core (1.11.15-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 00:00:00 -0000

ros-one-nav-core (1.11.14-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 00:00:00 -0000

ros-one-nav-core (1.11.13-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 00:00:00 -0000

ros-one-nav-core (1.11.12-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-nav-core (1.11.11-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 00:00:00 -0000

ros-one-nav-core (1.11.10-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 00:00:00 -0000

ros-one-nav-core (1.11.9-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 00:00:00 -0000

ros-one-nav-core (1.11.8-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 00:00:00 -0000

ros-one-nav-core (1.11.7-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 00:00:00 -0000

ros-one-nav-core (1.11.4-0noble) noble; urgency=high

  * Package URL Updates

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-nav-core
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-costmap-2d, ros-one-geometry-msgs, ros-one-std-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/nav_core
Standards-Version: 3.9.2

Package: ros-one-nav-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-costmap-2d, ros-one-geometry-msgs, ros-one-std-msgs, ros-one-tf2-ros
Description: This package provides common interfaces for navigation specific robot actions.
 Currently, this package provides the BaseGlobalPlanner, BaseLocalPlanner, and RecoveryBehavior interfaces, which can be used to build actions that can easily swap their planner, local controller, or recovery behavior for new versions adhering to the same interface.

## ros-one-nav-core 1.17.3-4noble.20251208.1105

=== debian/changelog ===
ros-one-nav-core (1.17.3-4noble.20251208.1105) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Dec 2025 11:05:25 +0000

## ros-one-nav-core 1.17.3-4noble.20260222.0013

=== debian/changelog ===
ros-one-nav-core (1.17.3-4noble.20260222.0013) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 22 Feb 2026 00:13:55 +0000
